%define fname	isodate

Name:		python-isodate
Summary:	An ISO 8601 date/time/duration parser and formater Python module
Version:	0.4.9
Release:	%mkrel 2
Source0:	http://pypi.python.org/packages/source/i/%{fname}/%{fname}-%{version}.tar.gz
URL:		http://cheeseshop.python.org/pypi/isodate
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python-setuptools
	
%description
This Python 2 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%package -n python3-isodate
Summary:	An ISO 8601 date/time/duration parser and formater Python 3 module
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-setuptools

%description -n python3-isodate
This Python 3 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%prep
%setup -q -c
rm -rf %{fname}.egg-info
mv %{fname}-%{version} python2
pushd python2
%apply_patches
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/README.txt
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}

%files -n python3-isodate
%doc python3/README.txt
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.9-2.mga3
+ Revision: 379024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 0.4.9-1.mga3
+ Revision: 334894
- imported package python-isodate

